Bug 549604 - Review Request: domxml-php4-php5 - XML transition from PHP4 domxml to PHP5 dom module
Review Request: domxml-php4-php5 - XML transition from PHP4 domxml to PHP5 do...
Status: CLOSED DUPLICATE of bug 590777
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 508817 573345
  Show dependency treegraph
 
Reported: 2009-12-21 22:25 EST by eric@christensenplace.us
Modified: 2010-05-10 12:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-10 12:54:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
david: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2009-12-21 22:25:01 EST
Spec URL: http://sparks.fedorapeople.org/Packages/domxml-php4-php5/domxml-php4-php5.spec
SRPM URL: http://sparks.fedorapeople.org/Packages/domxml-php4-php5/domxml-php4-php5-1.21.1-1.fc12.src.rpm
Description: XML transition from PHP4 domxml to PHP5 dom module

This is a lib for limesurvey and does not have any associated documents which is the only warning from rpmlint.
Comment 1 David Nalley 2010-01-30 00:43:26 EST
php pulls in a lot of dependencies, try php-common instead. 

Package name doesn't conform to guidelines:
http://fedoraproject.org/wiki/Packaging/PHP#Naming_scheme

Based on my quick checking license field in spec is questionable because they mention LGPL (which would be LGPLv2+) and yet has a LGPLv3 logo. 
No license in source, so website is the 'canonical reference' for what license they use.  

It'd be nice for you to contact upstream and ask them for: 
1. clarification on which license.
2. To identify specifically which license in source
3. To include a license file. 

If they only do 1, include text of email exchange as a doc, and won't issue another release.
Comment 2 Remi Collet 2010-03-14 04:43:03 EDT
Any news on this review ?

I also need this lib for phpCas


According to http://fedoraproject.org/wiki/Packaging/PHP#File_Placement
Should be installed in /usr/share/php/domxml-php4-php5 subdir.


At least, xml extension must be required, so :
< Requires:       php >= 5.1
> Requires:       php-xml >= 5.1

About Source0, upstream is 
http://alexandre.alapetite.fr/doc-alex/domxml-php4-php5/domxml-php4-to-php5.php.txt
So you must add a comment how you get/generate the domxml-php4-php5.tar.gz

Groups is probably Development/Libraries
Comment 3 Remi Collet 2010-03-14 05:05:02 EDT
Some work : http://remi.fedorapeople.org/php-domxml-php4-php5.spec
Comment 4 David Nalley 2010-03-24 22:40:03 EDT
Eric: 

Is this something you can pick back up? It's been sitting for about 60 days now. I know $reallife has been hammering you pretty hard. If you want to drop this package it looks like Remi is willing to pick it up, but it's your call. 

Thanks, 

David Nalley
Comment 5 eric@christensenplace.us 2010-05-06 22:25:48 EDT
If Remi would like to run with it, go for it!  I really don't have time right now.
Comment 6 Remi Collet 2010-05-10 12:54:31 EDT
Well I take it.
So I close this bug as duplicate of new review.

*** This bug has been marked as a duplicate of bug 590777 ***

Note You need to log in before you can comment on or make changes to this bug.